Bug 151099 - NetworkManager blanks /etc/resolv.conf and looses its ip
NetworkManager blanks /etc/resolv.conf and looses its ip
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2005-03-14 17:02 EST by Jorge Adrian Salaices
Modified: 2008-02-06 20:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-06 20:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jorge Adrian Salaices 2005-03-14 17:02:48 EST
Description of problem:

When being started, NetworkManager clears the /etc/resolv.conf file and 
then looses its ip 

Version-Release number of selected component (if applicable):

0.3.4 1.1.0.fc3

How reproducible:

Steps to Reproduce:
1.run service NetworkManager start
Actual results:

NetworkManager: starting...
NetworkManager: NetworkManager startup succeeded
nifd: nifd shutdown failed
NetworkManager: eth0: Driver support level for 'tulip' is fully-supported Mar 14
nm_device_new(): waiting for device's worker thread to start.
NetworkManager: nm_device_new(): device's worker thread started, continuing. Mar
NetworkManager: Now managing wired device 'eth0'.
NetworkManager: Clearing nscd hosts cache.

No More entries .. no dhcp attempt nothing 

connect: Network is unreachable

contents of /etc/resolv.conf
; generated by NetworkManager, do not edit!
blank line 1
blank line 2
blank line 3

Expected results:

I used to have to restart the network with the previous cvs release installed 
0.3.3 1.cvs20050119.2.fc3 right after the NetworkManager start 
and that would work, but this time it does nothing after I restart the network 

Additional info:
Comment 1 Michal Jaegermann 2005-04-02 16:32:51 EST
I tried recently NetworkManager with 'madwifi' card (DWL-G650 from D-Link).
There is really no documentation I can find so it looks that the only way
to see what it may be doing is to try.  OK, so it did not work at all.
Gnome icon is forever in "scanning" and there is really no way to get out
othen then killing all these process.  But it started from destroying my
current /etc/resolv.conf while it had nothing else to propose instead.
Not a very nice behaviour.
Comment 2 Matthew Miller 2006-07-10 17:44:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 20:13:32 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.